Bug 237741 - databases/rubygem-dbm: dbm cannot access to the databases created by Berkeley-DB in libc
Summary: databases/rubygem-dbm: dbm cannot access to the databases created by Berkeley...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-04 04:35 UTC by Hajimu UMEMOTO
Modified: 2019-05-31 14:46 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (yasu)


Attachments
Cnange default option to use dbm in libc (390 bytes, patch)
2019-05-04 04:35 UTC, Hajimu UMEMOTO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajimu UMEMOTO freebsd_committer 2019-05-04 04:35:54 UTC
Created attachment 204205 [details]
Cnange default option to use dbm in libc

The dbm library was removed from Ruby ports and replaced it with databases/rubygem-dbm.
It seems POLA violation to me.
Further, now, there is no way to access dbm 1.85 database from Ruby by default.
LIBC should be default.
I confirmed that rubygem-dbm built with LIBC option could read the database created by dbm library shipped with previous Ruby.
Comment 1 Koichiro Iwao freebsd_committer 2019-05-18 14:10:01 UTC
Maintainer timeout. Let's ship it.
Comment 2 commit-hook freebsd_committer 2019-05-31 14:44:35 UTC
A commit references this bug:

Author: ume
Date: Fri May 31 14:44:01 UTC 2019
New revision: 503176
URL: https://svnweb.freebsd.org/changeset/ports/503176

Log:
  Cnange default option to use dbm in libc

  PR:		237741
  Submitted by:	ume
  Approved by:	maintainer (timeout)

Changes:
  head/databases/rubygem-dbm/Makefile